org.apache.ignite.marshaller

## Interface MarshallerContext

All Known Implementing Classes:
  MarshallerContextAdapter, MarshallerContextImpl

    public interface MarshallerContext

Marshaller context.

### Method Summary

Methods
`Class` `getClass(int id, ClassLoader ldr)` Gets class for provided type ID.
`boolean` `isSystemType(String typeName)` Checks whether the given type is a system one - JDK class or Ignite class.
`boolean` `registerClass(int id, Class cls)` Registers class with provided type ID.

### Method Detail

#### registerClass

    boolean registerClass(int id,
                        Class cls)
                          throws IgniteCheckedException

Registers class with provided type ID.

Parameters:
  `id` - Type ID.
  `cls` - Class.
Returns:
  Whether class was registered.
Throws:
  `IgniteCheckedException` - In case of error.

#### getClass

    Class getClass(int id,
                 ClassLoader ldr)
                   throws ClassNotFoundException,
                          IgniteCheckedException

Gets class for provided type ID.

Parameters:
  `id` - Type ID.
  `ldr` - Class loader.
Returns:
  Class.
Throws:
  `ClassNotFoundException` - If class was not found.
  `IgniteCheckedException` - In case of any other error.

#### isSystemType

    boolean isSystemType(String typeName)

Checks whether the given type is a system one - JDK class or Ignite class.

Parameters:
  `typeName` - Type name.
Returns:
  `true` if the type is a system one, `false` otherwise.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015